<!-- 安全检查-工作台 -->
<template>
  <view class="examine">
	<scroll-view scroll-y @scrolltolower="scrollGet" class="info-max-box">
		<view class="tabTitle_identity" v-if="tabTextIdentity.length>1">
			<view class="tabTitle_identity_li" @tap="tabClickIdentity(item,index)"  :key="index" v-for="(item,index) in tabTextIdentity">
				<view :class="{on:curTabIdentity==index}" class="tabTitle_identity_text">{{item.name}}</view>
			    <view :class="{on:curTabIdentity==index}" class="tabTitle_identity_across"></view>
			</view>
		</view>
		<view>
			<view class="statistics" v-if="pageType==1 || pageType==2">
					<view class="statistics_li" v-for="(item,index) in  statisticsList" :key="index">
						<text>{{item.name}}</text>
						<text>{{item.value}}</text>
					</view>
				</view>
				<viwe class="inspect_btn" v-if="pageType==1 || pageType==2">
					<view class="inspect_btn_li" @click="handleClick('','patrolPlan')">
						<img src="@/images/Version3.3.3/icon_xyxc_xyxc.png"/>
						<text>校院巡查</text>
					</view>
					<text class="line"></text>
					<view class="inspect_btn_li"  @click="handleClick('','selfPlan')">
						<img src="@/images/Version3.3.3/icon_xyxc_syszc.png"/>
						<text>实验室自查</text>
					</view>
					<text class="line"></text>
					<view class="inspect_btn_li"  @click="handleClick('','dangerPlan')">
						<img src="@/images/Version3.3.3/icon_xyxc_aqyh.png"/>
						<text>安全隐患</text>
					</view>
					<text class="line"></text>
					<view class="inspect_btn_li"  @click="handleClick('','snapshot')">
						<img src="@/images/Version3.3.3/icon_aqjc_ssp.png"/>
						<text>随手拍</text>
					</view>
				</viwe>
				<!--管理员------------- -->
				<view class="tabTitle" v-if="pageType==1">
					<view class="tabTitle_li" @tap="tabClick(index)"  :key="index" v-for="(item,index) in tabText">
						<view :class="{on:curTab==index}" class="tabTitle_text">{{item.name}}<text>{{item.num}}</text></view>
					    <view :class="{on:curTab==index}" class="tabTitle_across"></view>
					</view>
				</view>
				<view class="list" v-if="pageType==1">
					<view class="list_li" v-for="(item,index) in  dataList" :key="index" @click="handleClick(item,'edit')">
						<view class="list_li_t">
							<view class="list_li_t_l">
								<img v-if="item.checkRange==1" src="@/images/Version3.3.3/icon_xyxc_qx.png"/>
								<img v-if="item.checkRange==2" src="@/images/Version3.3.3/icon_xyxc_xy.png"/>
								<img v-if="item.checkRange==3" src="@/images/Version3.3.3/icon_xyxc_sys.png"/>
								<text></text>
							</view>
							<view class="list_li_t_c">{{item.title}}</view>
							<view class="list_li_t_r"></view>
						</view>
						<view class="list_li_m">
							<view class="list_li_m_t">计划周期:{{item.cycleStartTime}}至{{item.cycleEndTime}}</view>
							<view class="list_li_m_b">
								<text class="blue_color" v-if="item.checkStatus==1">未开始</text>
								<text class="red_color" v-if="item.checkStatus==2">进行中</text>
								<text>{{item.checkType==1?'校院巡查':'实验室自查'}}</text>
							</view>
						</view>
						<view class="list_li_b">
							<img src="@/images/Version3.3.3/icon_djcsys.png"/>
							<text v-if="item.checkStatus==1">待检查实验室：</text>
							<text v-if="item.checkStatus==1">{{item.subjectNum}}间</text>
							<text v-if="item.checkStatus==2">检查进度：</text>
							<text v-if="item.checkStatus==2">{{item.checkSchedule}}间</text>
						</view>
					</view>
				</view>
				<!--检查者------------- -->
				<view class="tabTitle_tow" v-if="pageType==2">
					<view class="tabTitle_tow_li" @tap="tabClickTow(index)"  :key="index" v-for="(item,index) in tabTextTow">
						<view :class="{on:curTabTow==index}" class="tabTitle_tow_text">{{item.name}}<text>{{item.num}}</text></view>
					    <view :class="{on:curTabTow==index}" class="tabTitle_tow_across"></view>
					</view>
				</view>
				<view class="list_tow" v-if="pageType==2">
					<view class="list_tow_li" v-for="(item,index) in  dataList2" :key="index">
						<view class="list_tow_li_t">
							<view class="list_tow_li_t_l">
								<img v-if="item.checkRange==1" src="@/images/Version3.3.3/icon_xyxc_qx.png"/>
								<img v-if="item.checkRange==2" src="@/images/Version3.3.3/icon_xyxc_xy.png"/>
								<img v-if="item.checkRange==3" src="@/images/Version3.3.3/icon_xyxc_sys.png"/>
								<text></text>
							</view>
							<view class="list_tow_li_t_c" v-if="curTabTow==0 || curTabTow==1">{{item.subjectName}}-{{item.roomNumber}}</view>
							<view class="list_tow_li_t_c" v-if="curTabTow==2 && item.rectifyStatus==3">{{item.subRoom}}</view>
							<view class="list_tow_li_t_c2" v-if="(curTabTow==0 || curTabTow==1) && item.isOverdue==1">已逾期</view>
							<view class="list_tow_li_t_c2" v-if="curTabTow==2 && item.overdueStatus==3">已逾期</view>
							<view class="list_tow_li_t_r"></view>
						</view>
						<view class="list_tow_li_m">
							<view class="list_tow_li_m_t">{{item.title}}</view>
							<view class="list_tow_li_m_b">
								<text class="blue_color" v-if="item.manageStatus==0">待检查</text>
								<text class="red_color" v-if="item.manageStatus==1">检查中</text>
								<text class="green_color" v-if="item.manageStatus==2">已检查</text>
								<text class="orange_color" v-if="curTabTow==2 && item.rectifyStatus==3">待审核</text>
								<text v-if="item.manageStatus==0 || item.manageStatus==1 || item.manageStatus==2">{{item.checkType==1?'校院巡查':'实验室自查'}}</text>
								<text v-if="curTabTow==2 && item.rectifyStatus==3">{{item.hazardType==1?'校院巡查':'实验室自查'}}</text>
								<text>{{item.collegeName}}</text>
							</view>
						</view>
						<!-- 开始检查 -->
						<view v-if="curTabTow==2 && item.rectifyStatus==3" class="list_tow_li_b" @click="handleTowClick(item,'check')">{{item.applyGentle?'复核':'详情'}}</view>
						<view v-if="item.buttonHide && item.isSelfData==1">
							<view v-if="(curTabTow==0 || curTabTow==1) && item.manageStatus==0 && item.notStarted" class="list_tow_li_b" @click="handleTowClick(item,'add')">开始检查</view>
							<view v-if="(curTabTow==0 || curTabTow==1) &&item.manageStatus==1 && item.notStarted" class="list_tow_li_b" @click="handleTowClick(item,'edit')">编辑</view>
							<view v-if="(curTabTow==0 || curTabTow==1) &&!item.notStarted" class="list_tow_li_b_tow"><img src="@/images/Version3.3.3/icon_xyxcgl_jhwks.png"/>计划未开始</view>
							<view v-if="(curTabTow==0 || curTabTow==1) &&item.manageStatus==2 && item.notStarted" class="list_tow_li_b_three">
								<img src="@/images/Version3.3.3/icon_djcsys.png"/>
								<text>整改进度：</text>
								<text>{{item.rectifySchedule}}</text>
								<text class="report">整改报告</text>
							</view>
						</view>
					</view>
				</view>
				<!-- 整改人----------- -->
				<view class="statistics_three" v-if="pageType==3">
					<view class="statistics_three_li" v-for="(item,index) in  statisticsListThree" :key="index">
						<text>{{item.name}}</text>
						<text>{{item.value}}</text>
					</view>
				</view>
				<viwe class="inspect_btn_three" v-if="pageType==3">
					<view class="inspect_btn_three_li" @click="handleClick('','schoolDanger')">
						<img src="@/images/Version3.3.3/icon_xyxc_xyxc.png"/>
						<text>校院巡查隐患</text>
					</view>
					<text class="line"></text>
					<view class="inspect_btn_three_li"  @click="handleClick('','labDanger')">
						<img src="@/images/Version3.3.3/icon_xyxc_syszc.png"/>
						<text>实验室自查隐患</text>
					</view>
					<text class="line"></text>
					<view class="inspect_btn_three_li"  @click="handleClick('','snapshot')">
						<img src="@/images/Version3.3.3/icon_aqjc_ssp.png"/>
						<text>随手拍</text>
					</view>
				</viwe>

				<view class="tabTitle_three" v-if="pageType==3">
					<view class="tabTitle_three_li" @tap="tabClickThree(index)"  :key="index" v-for="(item,index) in tabTextThree">
						<view :class="{on:curTabThree==index}" class="tabTitle_three_text">{{item.name}}<text>{{item.num}}</text></view>
					    <view :class="{on:curTabThree==index}" class="tabTitle_three_across"></view>
					</view>
				</view>
				<view class="list_three" v-if="pageType==3">
					<view class="list_three_li" v-for="(item,index) in  dataList3" :key="index" @click="handleThreeClick(item,'detail')">
						<view class="list_three_li_t">
							<view class="list_three_li_t_l">
								<img v-if="item.checkRange==1" src="@/images/Version3.3.3/icon_xyxc_qx.png"/>
								<img v-if="item.checkRange==2" src="@/images/Version3.3.3/icon_xyxc_xy.png"/>
								<img v-if="item.checkRange==3" src="@/images/Version3.3.3/icon_xyxc_sys.png"/>
								<text></text>
							</view>
							<!-- 隐患 -->
							<view class="list_three_li_t_c" v-if="curTabThree==0">{{item.subRoom}}</view>
							<!-- 随手拍 -->
							<view class="list_three_li_t_c" v-if="curTabThree==1">{{item.subName}}</view>
							<view class="list_three_li_t_c2" v-if="item.overdueStatus==1">已逾期</view>
							<view class="list_three_li_t_r"></view>
						</view>
						<view class="list_three_li_m">
							<!-- 隐患 -->
							<view class="list_three_li_m_t" v-if="curTabThree==0">{{item.hazardDescribe}}</view>
							<!-- 随手拍 -->
							<view class="list_three_li_m_t" v-if="curTabThree==1">{{item.hazardDescribe}}</view>
							<view class="list_three_li_m_b">
								<!-- 隐患 -->
								<text class="green_color" v-if="curTabThree==0 && item.rectifyStatus==1">已完成</text>
								<text class="blue_color"  v-if="curTabThree==0 && item.rectifyStatus==2">待整改</text>
								<text class="orange_color" v-if="curTabThree==0 && curTabThree==0 && item.rectifyStatus==3">待复核</text>
								<text class="gray_color" v-if="curTabThree==0 && item.rectifyStatus==4">暂无法整改</text>
								<text class="type" v-if="curTabThree==0">{{item.hazardType==1?'校院巡查':'实验室自查'}}</text>
								<text class="college" v-if="curTabThree==0">{{item.collegeName}}</text>
								<!-- 随手拍 -->
								<text class="blue_color" v-if="curTabThree==1 && item.rectifyStatus==0">待整改</text>
								<text class="green_color" v-if="curTabThree==1 && item.rectifyStatus==1">已整改</text>
								<text class="orange_color" v-if="curTabThree==1 && item.rectifyStatus==2">暂无法整改</text>
								<text class="college" v-if="curTabThree==1">{{item.deptName}}</text>
							</view>
						</view>
						<!-- 隐患 -->
						<view class="list_three_li_b" v-if="curTabThree==0">
							<text >整改期限：{{item.rectifyDeadline}}</text>
						</view>
						<!-- 随手拍 -->
						<view class="list_three_li_b2" v-if="curTabThree==1">
							<view class="list_three_li_b_l">
								<img src="@/images/Version3.3.3/icon_ssp_ry.png"/>
								<text>上报人：{{item.createName}}</text>
							</view>
							<view class="list_three_li_b_r">{{item.timeFlag}}</view>
						</view>
					</view>
				</view>
		</view>
	</scroll-view>
	<!-- <view class="bottom_btn" v-if="pageType==1"  @click="handleClick('','start')">开展检查</view> -->
	<img class="scan_btn" @click.stop="saoCode" src="@/images/Version3.3.3/icon_xyxc_sm.png"/>
	<!-- 选择学院-->
	<view class="shade" v-if="dialogVisible">
		<view class="null-box" @click="dialogClose()"></view>
		<view class="shade_n">
			<view class="shade_n_title"><text>选择该实验室隐患项</text><text @click="hiddenConfirm">确定</text></view>
			<view class="shade_n_b">
				<view class="shade_n_b_li" v-for="(item,index) in  hiddenList" :key="index" @click="hiddenSelete(index)">
					<text :class="item.type?'color_B':'color_A'">{{item.hazardDescribe}}</text>
					<img v-if="item.type" src="@/images/Version3.3.3/icon_xzwt_xz.png">
				</view>
			</view>
		</view>
	</view>
	<tab-bar></tab-bar>
  </view>
</template>

<script>
import { config } from '@/api/request/config.js'
import { tabBar } from '@/component/tabBar.vue'
import {checkPlanList,getCheckStatusCount,getManageStatusCount,dataStatistics,checkManageList,checkHazardAppList,checkClapList,getCheckPlanBySubId} from '@/api/index.js'
export default {
  name: "rectifyList",
  components: {
   tabBar
  },
  data() {
    return {
	  pageType:1,//人员类型 3整改人 2检查人 1管理员
      //列表请求参数
      getData:{
        pageNum:1,
        pageSize:20,
		checkStatus:1,
      },
	  getData2:{
	    pageNum:1,
	    pageSize:20,
		isSelf: 0,//是否本人查询
		checkType:0,
	  	manageStatus:0,//管理状态(-1全部 0待检查，1检查中，2已检查)
		rectifyStatus:'',
	  },
	  getData3:{
	    pageNum:1,
	    pageSize:20,
	    hazardType:'',//1是院校巡查，2是实验室自查
		rectifyStatus:'',//1已完成 2待整改 3待复核 4 暂无法整改
	  },

	  userType:1,//人员类型 3整改人 2检查人 1管理员
	  statisticsList:[
		  {name:'本月已检查',value:'0'},
		  {name:'本月检查隐患',value:'0'},
		  {name:'本月已整改',value:'0'},
		  {name:'本月检查合格率',value:'0%'},
		  {name:'本月已检查',value:'0'},
		  {name:'本月复核通过率',value:'0%'},
	  ],
	  statisticsListThree:[
		  {name:'本月已检查',value:'0'},
		  {name:'本月已整改',value:'0%'},
		  {name:'本月复核通过率',value:'0%'},
	  ],
	  tabTextIdentity:uni.getStorageSync('gentleIdentifier'),
	  curTabIdentity:0,
	  tabText:[{name:'未开始',num:0,},{name:'进行中',num:0}],
	  curTab:0,
	  tabTextTow:[{name:'待检查',num:0,},{name:'检查中',num:0,},{name:'待复核',num:0,}],
	  curTabTow:0,
	  tabTextThree:[{name:'隐患待整改',num:0,},{name:'随手拍整改',num:0,}],
	  curTabThree:0,
	  total:0,
	  dataList:[],//管理员
	  total2:0,
	  dataList2:[],//检查者
	  total3:0,
	  dataList3:[],//整改者
	  currentDate:'',
	  dangerAllNum:0,
	  snapshotAllNum:0,
	  isSubPlan:false,//判断管理员和检查者扫码的实验室是否有检查计划
	  dialogVisible:false,
	  hiddenList:[],
	  myApplyGentle:'',//自查身份 校院巡查管理 里操作按钮隐藏
	  applyGentle:'',//检查组身份 实验室自查管理 里操作按钮隐藏
	  buttonHide:false,//判断按钮显示隐藏
    }
  },
  onLoad() {

  },
  onShow() {

  },
  beforeCreate() {

  },
  mounted(){
    this.pageType=uni.getStorageSync('gentleIdentifier')[0].pageType
	  this.myApplyGentle=uni.getStorageSync('gentleIdentifierData').myApplyGentle
	  this.applyGentle=uni.getStorageSync('gentleIdentifierData').applyGentle
	  //获取当前日期
	  this.currentDate=this.getNowFormatDate()

	  //this.getCheckStatusCount();
	  //this.getManageStatusCount();
	  this.dataStatistics(this.pageType);
	  this.checkClapListAllNum();//随手拍待整改总数


	  if(this.pageType==1){//管理员
		   this.getList();
      this.checkPlanListAllNum()
      this.checkPlanListAllNum2()
	  }else if(this.pageType==2){//检查者
		   this.getList2();
		   this.checkManageListAllNum();//检查者-待检查总数
		   this.checkManageListAllNum2();//检查者-待整改总数
		   this.checkHazardAppListAllNum();//检查者-待复核-总数
	  }else if(this.pageType==3){//整改者
		  this.checkHazardAppList();
	  }

  },
  methods: {
	  //滚动事件
	  scrollGet(){
		  let self=this;
		  if(this.pageType==1){//管理员
			  if(self.total/self.getData.pageSize<=self.getData.pageNum){
			      console.log('没有更多数据!')
			  }else{
				  setTimeout(function(){
					  self.getData.pageNum += 1;
					  self.getList();
				  },1000)

			  }
		  }else if(this.pageType==2){//检查者
			  if(self.total2/self.getData2.pageSize<=self.getData2.pageNum){
			      console.log('没有更多数据!')
			  }else{
				  setTimeout(function(){
					  self.getData2.pageNum += 1;

					   if(self.curTabTow==2){//待复核
						   self.checkHazardAppList()
					   }else {
						   self.getList2();
					   }
				  },1000)
			  }
		  }else if(this.pageType==3){//整改者
			  if(self.total3/self.getData3.pageSize<=self.getData3.pageNum){
			      console.log('没有更多数据!')
			  }else{
				  setTimeout(function(){
					self.getData3.pageNum += 1;
					if(self.curTabThree==0){//隐患
					 		self.checkHazardAppList()
					}else {//随手拍
					 		self.checkClapList()
					}
				  },1000)

			  }
		  }

	  },
	  //登录人员身份
	  tabClickIdentity(item,index) {
	  	this.curTabIdentity = index;
		  this.pageType=item.pageType;
      this.dataStatistics(this.pageType);
      if(this.pageType==1){//管理员
        this.getList();
        this.checkPlanListAllNum()
        this.checkPlanListAllNum2()

      }else if(this.pageType==2){//检查者
        this.getList2();
        this.checkManageListAllNum();//检查者-待检查总数
        this.checkManageListAllNum2();//检查者-待整改总数
        this.checkHazardAppListAllNum();//检查者-待复核-总数
      }else if(this.pageType==3){//整改者
        this.checkHazardAppList();
      }
	  },
	  //管理员
	  tabClick(index) {
	  	this.curTab = index;
		this.getData.pageNum=1;
		this.dataList=[];
		if(index==0){//未开始
			this.getData.checkStatus=1
			this.getList()
		}else if(index==1){//进行中
			this.getData.checkStatus=2
			this.getList()
		}
	  },
	  tabClickTow(index) {
	  	this.curTabTow = index;
		this.getData2.pageNum=1;
		this.dataList2=[];
		if(index==0){//未开始
			this.getData2.manageStatus=0
			this.getList2()
		}else if(index==1){//进行中
			this.getData2.manageStatus=1
			this.getList2()
		}else if(index==2){//待复核
			this.getData2.rectifyStatus=3
			this.checkHazardAppList()
		}

	  },
	  tabClickThree(index) {//整改者
	  	this.curTabThree = index;
		this.getData3.pageNum=1;
		this.dataList3=[];
		if(index==0){//隐患待整改
		    this.getData3.rectifyStatus=2
			this.checkHazardAppList()
		}else if(index==1){//随手拍待整改
			this.checkClapList();
		}
	  },
	  handleClick(row,doType){
		  let self=this;

		  if(self.pageType==1 && doType=='patrolPlan'){//校院巡查-计划
			 uni.navigateTo({
			     url: '/pages_safetyExamine/patrolPlan/patrolPlanList?pageType=1'
			 });
		  }else if(self.pageType==1 && doType=='selfPlan'){//实验室自查-计划
			  uni.navigateTo({
			      url: '/pages_safetyExamine/patrolPlan/patrolPlanList?pageType=2'
			  });
		  }else if(self.pageType==1 && doType=='dangerPlan'){//安全隐患-计划
			  uni.navigateTo({
			      url: '/pages_safetyExamine/dangerManage/dangerManage?pageType=1'
			  });
		  }else if(self.pageType==2 && doType=='patrolPlan'){//校院巡查-检查
			  uni.navigateTo({
			      url: '/pages_safetyExamine/examineManage/examineList?pageType=1'
			  });
		  }else if(self.pageType==2 && doType=='selfPlan'){//实验室自查-检查
			  uni.navigateTo({
			      url: '/pages_safetyExamine/examineManage/examineList?pageType=2'
			  });
		  }else if(self.pageType==2 && doType=='dangerPlan'){//安全隐患-检查
			  uni.navigateTo({
			      url: '/pages_safetyExamine/dangerManage/dangerManage?pageType=2'
			  });
		  }else if(self.pageType==3 && doType=='schoolDanger'){//校院巡查隐患
			  uni.navigateTo({
			      url: '/pages_safetyExamine/dangerManage/dangerList?pageType=1'
			  });
		  }else if(self.pageType==3 && doType=='labDanger'){//实验室自查隐患
			  uni.navigateTo({
			      url: '/pages_safetyExamine/dangerManage/dangerList?pageType=2'
			  });
		  }else if(doType=='edit'){//编辑
			  uni.navigateTo({
			      url: '/pages_safetyExamine/patrolPlan/patrolPlanEdit?pageType='+row.checkType+'&id='+row.id
			  });
		  }else if(doType=='snapshot'){//随手拍
			  uni.navigateTo({
			      url: '/pages_safetyExamine/snapshotManage/snapshotAdd'
			  });
		  }else if(doType=='start'){//开展检查
			  uni.navigateTo({
			      url: '/pages_safetyExamine/examineManage/examineAdd'
			  });
		  }

	  },

	  //检查者
	  handleTowClick(row,doType){
		  if(doType=='add'){//开始检查
				uni.navigateTo({
				    url: '/pages_safetyExamine/examineManage/examineAdd?id='+row.id
				});
		  }else if(doType=='edit'){//编辑
			  uni.navigateTo({
			      url: '/pages_safetyExamine/examineManage/examineAdd?id='+row.id
			  });
		  }else if(doType=='check'){//复核
			  uni.navigateTo({
			  	 url: '/pages_safetyExamine/dangerManage/dangerDetail?item='+encodeURIComponent(JSON.stringify(row))
			  })
		  }
	  },
	  //整改者
	  handleThreeClick(row,doType){
			if(doType=='detail'){
				if(this.curTabThree==0){//隐患待整改详情
					uni.navigateTo({
						 url: '/pages_safetyExamine/dangerManage/dangerDetail?item='+encodeURIComponent(JSON.stringify(row))
					})
				}else if(this.curTabThree==1){
					uni.navigateTo({
						 url: '/pages_safetyExamine/snapshotManage/snapshotDetail?id='+row.id+'&rectifyStatus='+row.rectifyStatus
					})
				}

			}
	  },
	  /* 扫一扫*/
	  saoCode(){
	  	let self = this;
	  	uni.scanCode({
	  		onlyFromCamera: true,
	  		success: function (res) {
				console.log(res)
	  			if(res.result.indexOf("code") != -1 && res.result.indexOf("-") != -1 && res.result.indexOf("&") != -1){
	  				let subId = "";
	  				let newList = res.result.split("?")[1].split("&")
	  				let list = newList[0].split("=")[1].split("-")
	  				subId = list[0];
	  				if(subId){
						uni.setStorageSync('saoCodeId',subId);
						if(self.pageType==1 || self.pageType==2){//管理员和检查者
							self.getCheckPlanBySubId(subId)
						}else if(self.pageType==3){//整改者
						  let obj={
							pageNum:1,
							pageSize:100,
							subId:subId,
						  }
						  self.checkHazardAppList2(obj);
						}


	  				}else{
	  					uni.showToast({
	  						title: '请扫描正确的二维码',
	  						icon:"none",
	  						mask:true,
	  						duration: 2000
	  					});
	  				}
	  			}else{
	  				uni.showToast({
	  					title: '请扫描正确的二维码',
	  					icon:"none",
	  					mask:true,
	  					duration: 2000
	  				});
	  			}
	  		}
	  	});
	  },
	  //根据实验室id查询该实验室有关计划
	  async getCheckPlanBySubId(subId){
	  	let _this = this;
		let id=subId;
	  	const {data} = await getCheckPlanBySubId({'subId':id});
	  	if(data.code == 200){
			if(data.data){
				uni.navigateTo({
				    url: '/pages_safetyExamine/examineManage/examineAdd?subId='+id
				});
			}else{
				 uni.redirectTo({
					 url: '/pages_safetyExamine/inforSign'
				 })
			}

	  	}
	  },
	  //根据实验室id查询隐患
	  async checkHazardAppList2(obj){
	  	let self = this;
		this.hiddenList=[];
	  	const {data} = await checkHazardAppList(obj);
	  	if(data.code==200){
	  			if(data.data.records.length>0){
					for(let i=0;i<data.data.records.length;i++){
						data.data.records[i].type=false;
						if(data.data.records[i].rectifyStatus==2 || data.data.records[i].rectifyStatus==3){
							this.hiddenList.push(data.data.records[i])
						}
					}
	  				this.dialogVisible=true;
	  			}else{
	  				 uni.redirectTo({
	  					 url: '/pages_safetyExamine/inforSign'
	  				 })
	  			}
	  	}
	  },
	  //选择学院弹窗关闭
	  dialogClose(){
	     this.dialogVisible=false;
	  },
	  //学院选择
	  hiddenSelete(index){
		  let _this=this;
	  	this.hiddenList[index].type = !this.hiddenList[index].type
		if (_this.hiddenList[index].type == true) {
			_this.hiddenList.forEach(function(item2) {
			  if (item2.id == _this.hiddenList[index].id) {
				item2.type = true
			  } else {
				item2.type = false
			  }
			})
		}
	  },
	  hiddenConfirm(){
		  let _this=this;
		  _this.hiddenList.forEach(function(item){
		  	if(item.type==true){
		  		uni.redirectTo({
		  			 url: '/pages_safetyExamine/dangerManage/dangerDetail?item='+encodeURIComponent(JSON.stringify(item))
		  		})
		  	}
		  })
	  },
	  //数据统计
	  async dataStatistics(flg){
	      let self = this;
	      const {data} = await dataStatistics({flg:flg});
	      if(data.code==200){
			  if(data.data.userType==1 || data.data.userType==2){//管理员和检查者
				  this.statisticsList=[
				  	  {name:'本月已检查',value:data.data.checkTotal},
				  	  {name:'本月检查隐患',value:data.data.hazardTotal},
				  	  {name:'本月已整改',value:data.data.rectifyTotal},
				  	  {name:'本月检查合格率',value:data.data.qualifyRate},
				  	  {name:'本月整改率',value:data.data. rectificationRate},
				  	  {name:'本月复核通过率',value:data.data.passRate},
				  ]
			  }else if(data.data.userType==3){//整改者
				  this.statisticsListThree=[
					    {name:'本月已整改',value:data.data.rectifyTotal},
				  		{name:'本月整改率',value:data.data.rectificationRate},
				  		{name:'本月复核通过率',value:data.data.passRate},
				  ]
			  }

	  	  }
	  },
	  //获取当前日期函数
	  getNowFormatDate() {
	    let date = new Date(),
	      year = date.getFullYear(), //获取完整的年份(4位)
	      month = date.getMonth() + 1, //获取当前月份(0-11,0代表1月)
	      strDate = date.getDate() // 获取当前日(1-31)
	    if (month < 10) month = `0${month}` // 如果月份是个位数，在前面补0
	    if (strDate < 10) strDate = `0${strDate}` // 如果日是个位数，在前面补0

	    return `${year}-${month}-${strDate}`
	  },
	  //是否可以开始检查
	   compareTime(date1){
	          if(!date1){
	  		   return false
	  	    } else {
	  		   const oDate1 = new Date(date1);
	  		   const oDate2 = new Date(this.currentDate)

	  		   if(oDate1.getTime() <= oDate2.getTime()){
	  			   return true; //可以开始
	  		   } else {
	  			   return false; //不能开始
	  		   }
	  	    }
	  },


	  // //检查计划各检查状态数据数量
	  // async getCheckStatusCount(){
	  //     let self = this;
	  //     const {data} = await getCheckStatusCount();
	  //     if(data.code==200){
		// 	  this.tabText[0].num=data.data.noStart;
		// 	  this.tabText[1].num=data.data.start;
	  // 	  }
	  // },
	  // //检查各检查状态数据数量
	  // async getManageStatusCount(){
	  //     let self = this;
	  //     const {data} = await getManageStatusCount();
	  //     if(data.code==200){
	  // 			  this.tabTextTow[0].num=data.data.noCheck;
	  // 			  this.tabTextTow[1].num=data.data.checking;
	  // 			  this.tabTextTow[2].num=data.data.applyNum;
	  // 	  }
	  // },

	  //管理员
	  async getList(){
	      let self = this;
	      const {data} = await checkPlanList(this.getData);
	      if(data.code==200){
			  this.dataList=[...this.dataList,...data.data.records]
			  this.total=data.data.total;
		  }
      },
    async checkPlanListAllNum(){
      let self = this;
      let obj={
        pageNum:1,
        pageSize:20,
        checkStatus:1,
      }
      const {data} = await checkPlanList(obj);
      if(data.code==200){
        this.tabText[0].num=data.data.total;
      }
    },
    async checkPlanListAllNum2(){
      let self = this;
      let obj={
        pageNum:1,
        pageSize:20,
        checkStatus:2,
      }
      const {data} = await checkPlanList(obj);
      if(data.code==200){
        this.tabText[1].num=data.data.total;
      }
    },
	  //检查者
	  async getList2(){
	  	let self = this;
	  	const {data} = await checkManageList(this.getData2);
	  	if(data.code==200){
	  		//判断计划是否开始
			self.buttonHide=false;
			for(let i=0;i<data.data.records.length;i++){
				if(data.data.records[i].checkType==1){
					if(self.myApplyGentle && !self.applyGentle){
						data.data.records[i].buttonHide=false
					}if(!self.myApplyGentle && !self.applyGentle){
						data.data.records[i].buttonHide=false
					}else{
						data.data.records[i].buttonHide=true;
					}

				}else if(data.data.records[i].checkType==2){
					if(!self.myApplyGentle && self.applyGentle){
						data.data.records[i].buttonHide=false
					}if(!self.myApplyGentle && !self.applyGentle){
						data.data.records[i].buttonHide=false
					}else{
						data.data.records[i].buttonHide=true;
					}
				}
				data.data.records[i].notStarted=self.compareTime(data.data.records[i].cycleStartTime)

			}
	  		self.dataList2=[...self.dataList2,...data.data.records]
	  		self.total2=data.data.total;


	  	}
	  },
	  //待复核列表
	  async checkHazardAppList(){
	  	let self = this;
		let obj={};
		if(this.pageType==2){//检查者
			 obj={
				pageNum:this.getData2.pageNum,
				pageSize:this.getData2.pageSize,
				hazardType:'',
				rectifyStatus:'3',
			};
		}else if(this.pageType==3){//整改者
			 obj={
				pageNum:this.getData3.pageNum,
				pageSize:this.getData3.pageSize,
				hazardType:'',
				rectifyStatus:'2',
			};
		}
	  	const {data} = await checkHazardAppList(obj);
	  	if(data.code==200){

			if(self.pageType==2){//检查者
				this.dataList2=[...this.dataList2,...data.data.records]
				this.total2=data.data.total;
			}else if(self.pageType==3){
				this.dataList3=[...this.dataList3,...data.data.records]
				this.total3=data.data.total;
				this.tabTextThree[0].num=data.data.total;
			}
	  	}
	  },

	  //随手拍待整改
	  async checkClapList(){
	  	let self = this;
		let obj={
			pageNum:this.getData3.pageNum,
			pageSize:this.getData3.pageSize,
			rectifyStatus:0,
		};
	  	const {data} = await checkClapList(obj);
	  	if(data.code==200){
	  		this.dataList3=[...this.dataList3,...data.data.records]
	  		this.total3=data.data.total;
	  	}
	  },
	  //整改者-随手拍待整改总数
	  async checkClapListAllNum(){
	  	let self = this;
	  		let obj={
	  			pageNum:this.getData3.pageNum,
	  			pageSize:this.getData3.pageSize,
	  			rectifyStatus:0,
	  		};
	  	const {data} = await checkClapList(obj);
	  	if(data.code==200){
	  		this.tabTextThree[1].num=data.data.total;
	  	}
	  },
	  //检查者 总数---------------------------------
	  //待检查
	  async checkManageListAllNum(){
	  	let self = this;
	  		let obj={
	  			pageNum:this.getData2.pageNum,
	  			pageSize:this.getData2.pageSize,
				isSelf: 0,//是否本人查询
	  			manageStatus:0,
				checkType:0,
	  		};
	  	const {data} = await checkManageList(obj);
	  	if(data.code==200){
	  		this.tabTextTow[0].num=data.data.total;
	  	}
	  },
	  //待检查
	  async checkManageListAllNum2(){
	  	let self = this;
		let obj={
			pageNum:this.getData2.pageNum,
			pageSize:this.getData2.pageSize,
			isSelf: 0,//是否本人查询
			manageStatus:1,
			checkType:0,
		};
	  	const {data} = await checkManageList(obj);
	  	if(data.code==200){
	  		this.tabTextTow[1].num=data.data.total;
	  	}
	  },
	  //待复核
	  async checkHazardAppListAllNum(){
	  	let self = this;
		let obj={
			pageNum:this.getData2.pageNum,
			pageSize:this.getData2.pageSize,
			rectifyStatus:3,
			hazardType:'',
		};
	  	const {data} = await checkHazardAppList(obj);
	  	if(data.code==200){
	  		this.tabTextTow[2].num=data.data.total;
	  	}
	  },


  }
}
</script>

<style lang="stylus" scoped>
.examine{
	height:100%;
	display flex;
	.info-max-box{
		flex: 1;
		overflow: scroll;
		padding-bottom: 128rpx;
	}
	.blue_color{
		color: #0183FA;
		border: 1rpx solid #0183FA;
	}
	.red_color{
		color: #FF4545;
		border: 1rpx solid #FF4545;
	}
	.green_color{
		color: #1FA50D;
		border: 1rpx solid #1FA50D;
	}
	.orange_color{
		color: #FA8E1B;
		border: 1rpx solid #FA8E1B;
	}
	.gray_color{
		color: #A2A2A2;
		border: 1rpx solid #A2A2A2;
	}

	.statistics{
		background: #fff;
		display: flex;
		justify-content: flex-start;
		flex-wrap: wrap;
		padding: 38rpx 26rpx;
		box-sizing: border-box;
		.statistics_li{
			width: 230rpx;
			border-right: 1rpx solid #D8D8D8;
			border-bottom: 1rpx solid #D8D8D8;
			>text{
				display: block;
				text-align: center;
			}
			>text:nth-of-type(1){
				font-size: 26rpx;
				font-family: PingFang SC-Medium, PingFang SC;
				font-weight: 400;
				color: #666666;
				line-height: 26rpx;
				margin-top: 24rpx;
			}
			>text:nth-of-type(2){
				font-size: 34rpx;
				font-family: PingFang SC-Heavy, PingFang SC;
				font-weight: 400;
				color: #1FA50D;
				line-height: 34rpx;
				margin-top: 28rpx;
			}
		}
		>view:nth-of-type(1){
			>text:nth-of-type(1){
				margin-top: 4rpx;
			}
			>text:nth-of-type(2){
				margin-bottom: 18rpx;
				color: #1FA50D;
			}
		}
		>view:nth-of-type(2){
			>text:nth-of-type(1){
				margin-top: 4rpx;
			}
			>text:nth-of-type(2){
				margin-bottom: 18rpx;
				color: #FA8201;
			}
		}
		>view:nth-of-type(3){
			border-right:none;
			>text:nth-of-type(1){
				margin-top: 4rpx;
			}
			>text:nth-of-type(2){
				margin-bottom: 18rpx;
				color: #0183FA;
			}
		}
		>view:nth-of-type(4){
			border-bottom:none;
			>text:nth-of-type(2){
				color: #1FA50D;
			}
		}
		>view:nth-of-type(5){
			border-bottom:none;
			>text:nth-of-type(2){
				color: #FA8201;
			}
		}
		>view:nth-of-type(6){
			border-right:none;border-bottom:none;
			>text:nth-of-type(2){
				color: #0183FA;
			}
		}
	}
	.inspect_btn{
		height: 150rpx;
		background: #fff;
		display: flex;
		justify-content: space-between;
		align-items: center;
		margin-top: 20rpx;
		padding: 0 30rpx;
		box-sizing: border-box;
		.inspect_btn_li{
			>img{
				width: 60rpx;
				height: 60rpx;
				margin:0 auto;
			}
			>text{
				font-size: 28rpx;
				font-family: PingFang SC-Medium, PingFang SC;
				font-weight: 400;
				color: #333333;
				line-height: 28rpx;
				margin-top: 14rpx;
			}
		}
		.line{
			display: inline-block;
			height: 60rpx;
			width: 1rpx;
			background: #E0E0E0;
		}

	}
	/* 检查者 */
	.tabTitle_identity{
		width:100%;
		height: 100rpx;
		background: #fff;
		display flex;
		justify-content: flex-start;
		align-items: center;
		position: relative;
		top: 0;
		z-index: 100;
		box-shadow: 0rpx 3rpx 8rpx 0rpx rgba(0,0,0,0.16);
		.tabTitle_identity_li{
			position: relative;
			width:162rpx;
			text-align center;
			.tabTitle_identity_text{
				display: inline-block;
				font-size: 30rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #333333;
				line-height: 46rpx;
				position: relative;
				>text{
					position:absolute;
					min-width: 30rpx;
					min-height: 30rpx;
					border-radius:54%;
					background: #E80000;
					font-size: 18rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #FFFFFF;
					text-align: center;
					line-height: 30rpx;
					margin-left: 6rpx;
					padding:2rpx;
					box-sizing: border-box;
				}
				&.on{
					color:#0183FA;
				}
			}
			.tabTitle_identity_across{
				width: 50rpx;
				height: 4rpx;
				background: #0183FA;
				border-radius: 2rpx;
				margin-left 56rpx;
				display none;
				&.on{
					display block;
				}
			}

		}
	}
	/* 切换按钮 */
	.tabTitle{
		width:100%;
		height: 100rpx;
		background: #fff;
		display flex;
		justify-content: center;
		align-items: center;
		margin-top: 20rpx;
		position: sticky;
		top: 0;
		z-index: 100;
		box-shadow: 0rpx 3rpx 8rpx 0rpx rgba(0,0,0,0.16);
		.tabTitle_li{
			position: relative;
			width:372rpx;
			text-align center;
			.tabTitle_text{
				display: inline-block;
				font-size: 30rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #333333;
				line-height: 46rpx;
				position: relative;
				>text{
					position:absolute;
					min-width: 30rpx;
					min-height: 30rpx;
					border-radius:54%;
					background: #E80000;
					font-size: 18rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #FFFFFF;
					text-align: center;
					line-height: 30rpx;
					margin-left: 6rpx;
					padding:2rpx;
					box-sizing: border-box;
				}
				&.on{
					color:#0183FA;
				}
			}
			.tabTitle_across{
				width: 50rpx;
				height: 4rpx;
				background: #0183FA;
				border-radius: 2rpx;
				margin-left 162rpx;
				display none;
				&.on{
					display block;
				}
			}

		}
		.tabTitle_li:nth-of-type(1)::after{
			content: '';
			position: absolute;
			top: 0rpx;
			right:  0rpx;
			width: 1rpx;
			height: 50rpx;
			background: #E0E0E0;
		}
	}
	.list{
		padding: 0 30rpx;
		box-sizing: border-box;
		margin-top: 20rpx;
		.list_li{
			position: relative;
			width: 690rpx;
			height: 360rpx;
			background: #fff;
			border-radius: 10rpx;
			overflow: hidden;
			margin-bottom: 20rpx;
			.list_li_t{
				width: 100%;
				position: absolute;
				left: 0;
				top: 0;
				.list_li_t_l{
					>img{
						width: 70rpx;
						height: 70rpx;
					}
					>text{
						position: absolute;
						left: -15rpx;
						top: 76rpx;
						display: inline-block;
						width: 30rpx;
						height: 30rpx;
						background: #F5F5F5;
						border-radius: 15rpx;
					}
				}
				.list_li_t_c{
					width: 630rpx;
					height: 110rpx;
					position: absolute;
					left: 30rpx;
					top: 0;
					font-size: 30rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #333333;
					line-height: 110rpx;
					border-bottom: 1rpx dashed #D8D8D8;
					overflow: hidden;
					text-overflow:ellipsis;
					white-space: nowrap;
				}
				.list_li_t_r{
					position: absolute;
					right:-15rpx;
					top: 76rpx;
					width: 30rpx;
					height: 30rpx;
					background:#F5F5F5;
					border-radius: 15rpx;
				}
			}
			.list_li_m{
				position: absolute;
				top: 110rpx;
				left: 0;
				width: 690rpx;
				height: 168rpx;
				border-bottom: 1rpx solid #E0E0E0;
				padding-left: 30rpx;
				box-sizing: border-box;
				.list_li_m_t{
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #666666;
					line-height: 40rpx;
					margin-top:22rpx;
				}
				.list_li_m_b{
					margin-top:26rpx;
					>text:nth-of-type(1){
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						line-height: 40rpx;
						border-radius: 6rpx;
						padding: 0 20rpx;
						margin-right: 14rpx;
					}
					>text:nth-of-type(2){
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						color: #0183FA;
						line-height: 40rpx;
						padding: 0 8rpx;
						border-radius: 6rpx;
						background: rgba(1,131,250,0.1);
					}
				}
			}
			.list_li_b{
				height: 80rpx;
				position: absolute;
				top: 278rpx;
				left: 0;
				display: flex;
				justify-content: flex-start;
				align-items: center;
				>img{
					width: 24rpx;
					height: 30rpx;
					margin-right: 26rpx;
					margin-left: 30rpx;
				}
				>text:nth-of-type(1){
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #333333;
					line-height: 28rpx;
				}
				>text:nth-of-type(2){
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #0183FA;
					line-height: 28rpx;
				}
			}
		}
	}
	/* 检查者 */
	.tabTitle_tow{
		width:100%;
		height: 100rpx;
		background: #fff;
		display flex;
		justify-content: flex-start;
		align-items: center;
		margin-top: 20rpx;
		position: sticky;
		top: 0;
		z-index: 100;
		box-shadow: 0rpx 3rpx 8rpx 0rpx rgba(0,0,0,0.16);
		.tabTitle_tow_li{
			position: relative;
			width:162rpx;
			text-align center;
			.tabTitle_tow_text{
				display: inline-block;
				font-size: 30rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #333333;
				line-height: 46rpx;
				position: relative;
				>text{
					position:absolute;
					min-width: 30rpx;
					min-height: 30rpx;
					border-radius:54%;
					background: #E80000;
					font-size: 18rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #FFFFFF;
					text-align: center;
					line-height: 30rpx;
					margin-left: 6rpx;
					padding:2rpx;
					box-sizing: border-box;
				}
				&.on{
					color:#0183FA;
				}
			}
			.tabTitle_tow_across{
				width: 50rpx;
				height: 4rpx;
				background: #0183FA;
				border-radius: 2rpx;
				margin-left 56rpx;
				display none;
				&.on{
					display block;
				}
			}

		}
	}

	.list_tow{
		padding: 0 30rpx;
		box-sizing: border-box;
		margin-top: 20rpx;
		.list_tow_li{
			position: relative;
			width: 690rpx;
			height: auto;
			background: #fff;
			border-radius: 10rpx;
			overflow: hidden;
			margin-bottom: 20rpx;
			.list_tow_li_t{
				width: 100%;
				height: 110rpx;
				position: relative;
				left: 0;
				top: 0;
				.list_tow_li_t_l{
					>img{
						width: 70rpx;
						height: 70rpx;
					}
					>text{
						position: absolute;
						left: -15rpx;
						top: 76rpx;
						display: inline-block;
						width: 30rpx;
						height: 30rpx;
						background: #F5F5F5;
						border-radius: 15rpx;
					}
				}
				.list_tow_li_t_c{
					width: 630rpx;
					height: 110rpx;
					position: absolute;
					left: 30rpx;
					top: 0;
					font-size: 30rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #333333;
					line-height: 110rpx;
					border-bottom: 1rpx dashed #D8D8D8;
					overflow: hidden;
					text-overflow:ellipsis;
					white-space: nowrap;
					padding-right: 120rpx;
					box-sizing: border-box;
				}
				.list_tow_li_t_c2{
					position: absolute;
					right: 20rpx;
					top: 38rpx;
					width: 120rpx;
					height: 40rpx;
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #FF5757;
					line-height: 40rpx;
					border: 1rpx solid #FF5757;
					border-radius: 6rpx;
					text-align: center;
				}
				.list_tow_li_t_r{
					position: absolute;
					right:-15rpx;
					top: 76rpx;
					width: 30rpx;
					height: 30rpx;
					background:#F5F5F5;
					border-radius: 15rpx;
				}
			}
			.list_tow_li_m{
				// position: absolute;
				// top: 110rpx;
				// left: 0;
				width: 690rpx;
				height: 168rpx;
				padding-left: 30rpx;
				box-sizing: border-box;
				.list_tow_li_m_t{
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #666666;
					line-height: 40rpx;
					margin-top:22rpx;
					overflow: hidden;
					text-overflow:ellipsis;
					white-space: nowrap;
				}
				.list_tow_li_m_b{
					margin-top:26rpx;
					>text:nth-of-type(1){
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						line-height: 40rpx;
						border-radius: 6rpx;
						padding: 0 20rpx;
						margin-right: 14rpx;
					}
					>text:nth-of-type(2){
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						color: #0183FA;
						line-height: 40rpx;
						padding: 0 8rpx;
						border-radius: 6rpx;
						background: rgba(1,131,250,0.1);
						margin-right: 24rpx;
					}
					>text:nth-of-type(3){
						display: inline-block;
						width: 350rpx;
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						color: #333333;
						line-height: 26rpx;
						overflow: hidden;
						text-overflow:ellipsis;
						white-space: nowrap;

					}
				}
			}
			.list_tow_li_b{
				height: 80rpx;
				width: 100%;
				// position: absolute;
				// top: 278rpx;
				// left: 0;
				border-top: 1rpx solid #E0E0E0;
				font-size: 28rpx;
				font-family: PingFang SC-Medium, PingFang SC;
				font-weight: 400;
				color: #0183FA;
				line-height: 80rpx;
				text-align: center;
			}
			.list_tow_li_b_tow{
				height: 80rpx;
				width: 100%;
				// position: absolute;
				// top: 278rpx;
				// left: 0;
				border-top: 1rpx solid #E0E0E0;
				font-size: 28rpx;
				font-family: PingFang SC-Medium, PingFang SC;
				font-weight: 400;
				color: #0183FA;
				line-height: 80rpx;
				display: flex;
				justify-content: center;
				align-items: center;
				>img{
					width: 28rpx;
					height: 30rpx;
					margin-right: 12rpx;
				}
			}
			.list_tow_li_b_three{
				height: 80rpx;
				// position: absolute;
				// top: 278rpx;
				// left: 0;
				display: flex;
				justify-content: flex-start;
				align-items: center;
				width: 100%;
				border-top: 1rpx solid #E0E0E0;
				>img{
					width: 24rpx;
					height: 30rpx;
					margin-right: 26rpx;
					margin-left: 30rpx;
				}
				>text:nth-of-type(1){
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #333333;
					line-height: 28rpx;
				}
				>text:nth-of-type(2){
					flex:1;
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #0183FA;
					line-height: 28rpx;
					white-space: nowrap;
					overflow: hidden;
					text-overflow: ellipsis;
				}
				.report{
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #0183FA;
					line-height: 28rpx;
					margin-right: 40rpx;
				}
			}
		}
	}
	/* 整改人 */
	.statistics_three{
		background: #fff;
		display: flex;
		justify-content: flex-start;
		flex-wrap: wrap;
		padding: 38rpx 30rpx;
		box-sizing: border-box;
		.statistics_three_li{
			width: 230rpx;
			position: relative;
			>text{
				display: block;
				text-align: center;
			}
			>text:nth-of-type(1){
				font-size: 26rpx;
				font-family: PingFang SC-Medium, PingFang SC;
				font-weight: 400;
				color: #666666;
				line-height: 26rpx;
			}
			>text:nth-of-type(2){
				font-size: 34rpx;
				font-family: PingFang SC-Heavy, PingFang SC;
				font-weight: 400;
				color: #1FA50D;
				line-height: 34rpx;
				margin-top: 28rpx;
			}
		}
		.statistics_three_li::after{
			content:'';
			position: absolute;
			top: 20rpx;
			right:0rpx;
			width: 1rpx;
			height: 60rpx;
			background: #D8D8D8;
		}
		.statistics_three_li:nth-of-type(3)::after{
			display: none;
		}
		>view:nth-of-type(1){
			>text:nth-of-type(2){
				color: #1FA50D;
			}
		}
		>view:nth-of-type(2){
			>text:nth-of-type(2){
				color: #FA8201;
			}
		}
		>view:nth-of-type(3){
			>text:nth-of-type(2){
				color: #0183FA;
			}
		}
	}
	.inspect_btn_three{
		height: 150rpx;
		background: #fff;
		display: flex;
		justify-content: space-between;
		align-items: center;
		margin-top: 20rpx;
		padding: 0 74rpx;
		box-sizing: border-box;
		.inspect_btn_three_li{
			>img{
				width: 60rpx;
				height: 60rpx;
				margin:0 auto;
			}
			>text{
				font-size: 28rpx;
				font-family: PingFang SC-Medium, PingFang SC;
				font-weight: 400;
				color: #333333;
				line-height: 28rpx;
				margin-top: 14rpx;
			}
		}
		.line{
			display: inline-block;
			height: 60rpx;
			width: 1rpx;
			background: #E0E0E0;
		}

	}
	/* 切换按钮 */
	.tabTitle_three{
		width:100%;
		height: 100rpx;
		background: #fff;
		display flex;
		justify-content: center;
		align-items: center;
		margin-top: 20rpx;
		position: sticky;
		top: 0;
		z-index: 100;
		box-shadow: 0rpx 3rpx 8rpx 0rpx rgba(0,0,0,0.16);
		.tabTitle_three_li{
			position: relative;
			width:372rpx;
			text-align center;
			.tabTitle_three_text{
				display: inline-block;
				font-size: 30rpx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #333333;
				line-height: 46rpx;
				position: relative;
				>text{
					position:absolute;
					min-width: 30rpx;
					min-height: 30rpx;
					border-radius:54%;
					background: #E80000;
					font-size: 18rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #FFFFFF;
					text-align: center;
					line-height: 30rpx;
					margin-left: 6rpx;
					padding:2rpx;
					box-sizing: border-box;
				}
				&.on{
					color:#0183FA;
				}
			}
			.tabTitle_three_across{
				width: 50rpx;
				height: 4rpx;
				background: #0183FA;
				border-radius: 2rpx;
				margin-left 162rpx;
				display none;
				&.on{
					display block;
				}
			}

		}
		.tabTitle_three_li:nth-of-type(1)::after{
			content: '';
			position: absolute;
			top: 0rpx;
			right:  0rpx;
			width: 1rpx;
			height: 50rpx;
			background: #E0E0E0;
		}
	}
	.list_three{
		padding: 0 30rpx;
		box-sizing: border-box;
		margin-top: 20rpx;
		.list_three_li{
			position: relative;
			width: 690rpx;
			height: 348rpx;
			background: #fff;
			border-radius: 10rpx;
			overflow: hidden;
			margin-bottom: 20rpx;
			.list_three_li_t{
				width: 100%;
				position: absolute;
				left: 0;
				top: 0;
				.list_three_li_t_l{
					>img{
						width: 70rpx;
						height: 70rpx;
					}
					>text{
						position: absolute;
						left: -15rpx;
						top: 76rpx;
						display: inline-block;
						width: 30rpx;
						height: 30rpx;
						background: #F5F5F5;
						border-radius: 15rpx;
					}
				}
				.list_three_li_t_c{
					width: 630rpx;
					height: 110rpx;
					position: absolute;
					left: 30rpx;
					top: 0;
					font-size: 30rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #333333;
					line-height: 110rpx;
					border-bottom: 1rpx dashed #D8D8D8;
					overflow: hidden;
					text-overflow:ellipsis;
					white-space: nowrap;
					padding-right: 60rpx;
					box-sizing: border-box;
				}
				.list_three_li_t_c2{
					position: absolute;
					right: 20rpx;
					top: 38rpx;
					width: 120rpx;
					height: 40rpx;
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #FF5757;
					line-height: 40rpx;
					border: 1rpx solid #FF5757;
					border-radius: 6rpx;
					text-align: center;
				}
				.list_three_li_t_r{
					position: absolute;
					right:-15rpx;
					top: 76rpx;
					width: 30rpx;
					height: 30rpx;
					background:#F5F5F5;
					border-radius: 15rpx;
				}
			}
			.list_three_li_m{
				position: absolute;
				top: 110rpx;
				left: 0;
				width: 690rpx;
				height: 158rpx;
				padding-left: 30rpx;
				box-sizing: border-box;
				.list_three_li_m_t{
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #666666;
					line-height: 40rpx;
					margin-top:22rpx;
					overflow: hidden;
					text-overflow:ellipsis;
					white-space: nowrap;
				}
				.list_three_li_m_b{
					margin-top:26rpx;
					>text:nth-of-type(1){
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						line-height: 40rpx;
						border-radius: 6rpx;
						padding: 0 20rpx;
						margin-right: 14rpx;
					}
					.type{
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						color: #0183FA;
						line-height: 40rpx;
						padding: 0 8rpx;
						border-radius: 6rpx;
						background: rgba(1,131,250,0.1);
						margin-right: 24rpx;
					}
					.college{
						display: inline-block;
						width: 280rpx;
						font-size: 26rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						color: #333333;
						line-height: 26rpx;
						overflow: hidden;
						text-overflow:ellipsis;
						white-space: nowrap;

					}
				}
			}
			.list_three_li_b{
				height: 80rpx;
				width: 100%;
				position: absolute;
				top: 268rpx;
				left: 0;
				padding-left: 30rpx;
				box-sizing: border-box;
				>text:nth-of-type(1){
					font-size: 26rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #333333;
					line-height: 26rpx;

				}
			}
			.list_three_li_b2{
				height: 76rpx;
				width: 100%;
				position: absolute;
				top: 258rpx;
				left: 0;
				padding:0 30rpx;
				box-sizing: border-box;
				display: flex;
				justify-content: space-between;
				align-items: center;
				.list_three_li_b_l{
					display: flex;
					justify-content: space-between;
					align-items: center;

					>img{
						width: 28rpx;
						height: 30rpx;
						margin-right: 14rpx;
					}
					>text{
						font-size: 28rpx;
						font-family: PingFang SC-Medium, PingFang SC;
						font-weight: 400;
						color: #666666;
						line-height: 76rpx;
					}
				}
				.list_three_li_b_r{
					font-size: 24rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					color: #999999;
					line-height: 76rpx;
				}
			}

		}
	}
	.bottom_btn{
		position: fixed;
		bottom: 20rpx;
		left: 30rpx;
		font-size: 30rpx;
		font-family: PingFang SC-Medium, PingFang SC;
		font-weight: 400;
		color: #FFFFFF;
		line-height: 90rpx;
		width: 690rpx;
		height: 90rpx;
		background: #0183FA;
		border-radius: 20rpx;
		text-align: center;

	}
	.scan_btn{
		position: fixed;
		bottom: 210rpx;
		right: 0rpx;
		width: 130rpx;
		height: 130rpx;
	}
	/* 根据实验室id查询隐患列表 */
	.shade {
	  height: 100%;
	  width: 100%;
	  position: fixed;
	  display: flex;
	  flex-direction: column;
	  z-index: 100;
	  background: rgba(0, 0, 0, 0.2);
	  .null-box {
		flex: 1;
	  }
	  .shade_n {
		  position: absolute;
		  bottom: 0;
		  left: 0;
		  width: 750rpx;
		  height: 560rpx;
		  background: #FFFFFF;
		  border-radius: 20rpx 20rpx 0rpx 0rpx;
		  .shade_n_title{
			  height: 100rpx;
			  padding: 0 30rpx;
			  box-sizing: border-box;
			  display: flex;
			  justify-content:space-between;
			  border-bottom: 1rpx solid #E0E0E0;
			  >text:nth-of-type(1){
				  font-size: 30rpx;
				  font-family: PingFang SC-Medium, PingFang SC;
				  font-weight: 400;
				  color: #333333;
				  line-height: 100rpx;
			  }
			  >text:nth-of-type(2){
				  font-size: 30rpx;
				  font-family: PingFang SC-Medium, PingFang SC;
				  font-weight: 400;
				  color: #0183FA;
				  line-height: 100rpx;

			  }
		  }
		  .shade_n_b{
			  height: 460rpx;
			  padding: 0 30rpx;
			  box-sizing: border-box;
			  overflow-y: auto;
			  .shade_n_b_li{
				   display: flex;
				   justify-content:space-between;
				   align-items: center;
				   height: 80rpx;
				   border-bottom: 1rpx solid #E0E0E0;
				 >text{
					font-size: 28rpx;
					font-family: PingFang SC-Medium, PingFang SC;
					font-weight: 400;
					line-height: 80rpx;
					overflow: hidden;
					text-overflow:ellipsis;
					white-space: nowrap;
				 }
				 >img{
					 width: 24rpx;
					 height: 16rpx;
					 margin-right: 14rpx;
				 }
			  }
			  .color_A{
				  color: #333333;
			  }
			  .color_B{
				  color: #0183FA;
			  }


		  }
	  }
	}
}
</style>
